#
# Makefile for ALSA
# Copyright (c) 1999 by Jaroslav Kysela <perex@suse.cz>
#

EXTRA_CFLAGS := -I../include

SUB_DIRS     :=
MOD_SUB_DIRS :=
ALL_SUB_DIRS :=

L_TARGET     :=
M_OBJS	     := snd-detect.o
L_OBJS       :=
LX_OBJS      :=
MIX_OBJS     :=

OBJECTS	     := detect.o

ifeq ($(CONFIG_SND_GUS),y)
  OBJECTS += gus.o
else
  ifeq ($(CONFIG_SND_GUS),m)
    OBJECTS += gus.o
  endif
endif
ifeq ($(CONFIG_SND_ES1688),y)
  OBJECTS += es1688.o
else
  ifeq ($(CONFIG_SND_ES1688),m)
    OBJECTS += es1688.o
  endif
endif
ifeq ($(CONFIG_SND_SB8_DSP),y)
  OBJECTS += sb.o
else
  ifeq ($(CONFIG_SND_SB8_DSP),m)
    OBJECTS += sb.o
  endif
endif
ifeq ($(CONFIG_SND_SB16_DSP),y)
  OBJECTS += sb.o
else
  ifeq ($(CONFIG_SND_SB16_DSP),m)
    OBJECTS += sb.o
  endif
endif
ifeq ($(CONFIG_SND_CARD_OPTI9XX),y)
  OBJECTS += opti9xx.o
else
  ifeq ($(CONFIG_SND_CARD_OPTI9XX),m)
    OBJECTS += opti9xx.o
  endif
endif

include $(TOPDIR)/Rules.make

snd-detect.o: $(OBJECTS)
	$(LD) $(LD_RFLAG) -r -o $@ $(OBJECTS)
